// //// //// //// //// //// //// //// //// //// //// //// //// //// //// //////
// Project:     M - cross platform e-mail GUI client
// File name:   adb/AdbFrame.h - ADB edit frame interface
// Purpose:     we provide a function to create and show the ADB editor frame
// Author:      Vadim Zeitlin
// Modified by:
// Created:     09.08.98
// CVS-ID:      $Id: AdbFrame.h,v 1.5 2000/05/23 17:29:02 VZ Exp $
// Copyright:   (c) 1998 Vadim Zeitlin <zeitlin@dptmaths.ens-cachan.fr>
// Licence:     M license
// //// //// //// //// //// //// //// //// //// //// //// //// //// //// //////

#ifndef   _ADBFRAME_H
#define   _ADBFRAME_H

class wxFrame;

/// create the ADB frame if it doesn't exist and show it
void ShowAdbFrame(wxFrame *parent);

// add the given address book to the list of address books opened in the ADB
// editor
void AddBookToAdbEditor(const String& adbname, const String& provname);

#endif  //_ADBFRAME_H
